package com.ozs.base.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ozs.base.domain.BaseAgency;
import com.ozs.base.vo.BaseAgentPageReqVo;

/**
 * 代理机构
 */
public interface BaseAgencyService {

    int insert(BaseAgency baseAgency);

    BaseAgency getInfo(Long id);

    int updateInfo(BaseAgency baseAgency);

    int operationBlacklist(BaseAgency baseAgency);

    IPage<BaseAgency> page(Page<BaseAgency> baseAgencyPage, BaseAgentPageReqVo vo);

    int remove(Long id);
}
