package com.ozs.base.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ozs.common.core.domain.BaseEntity;
import com.ozs.common.vo.PageVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import java.util.Date;


@ApiModel(value = "BaseAgentPageReqVo", description = "代理机构分页查询实体")
@Data
@AllArgsConstructor
@NoArgsConstructor
public class BaseAgentPageReqVo extends PageVo {


    @ApiModelProperty("代理机构名称")
    private String companyName;
    // 公司性质
    @ApiModelProperty("公司性质")
    private String companyNature;
    // 状态0白，1黑
    @ApiModelProperty("状态0白，1黑")
    private Integer status;
}
